#ifndef _SYS_PARAM_H
#define _SYS_PARAM_H

#include <limits.h>

#ifndef HZ
#define HZ 100
#endif

#define EXEC_PAGESIZE   4096

#ifndef NGROUPS
#define NGROUPS         32
#endif

#ifndef NOGROUP
#define NOGROUP         (-1)
#endif

#define MAXHOSTNAMELEN  64      /* max length of hostname */

#include <sys/types.h>

#ifndef howmany
#define howmany(x, y)   (((x)+((y)-1))/(y))
#endif

#ifndef roundup
#define roundup(x, y)   ((((x)+((y)-1))/(y))*(y))
#endif

#define MAXPATHLEN      PATH_MAX
#define NOFILE          OPEN_MAX

/*  Following the information of some of the kernel people I here assume
 *  that block size (i.e. the value of stat.st_blocks) for all filesystem
 *  is 512 bytes.  If not tell me or HJ.  -- Uli */
#define DEV_BSIZE       512

#endif
